org.apache.jmeter.visualizers

## Class BarGraph

- java.lang.Object
- - org.apache.jmeter.visualizers.BarGraph

-     public class BarGraph
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarGraph(java.lang.String label, boolean checked, java.awt.Color backColor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackColor()`
    `javax.swing.JCheckBox` | `getChkBox()`
    `java.lang.String` | `getLabel()`
    `void` | `setBackColor(java.awt.Color backColor)`
    `void` | `setChkBox(javax.swing.JCheckBox chkBox)`
    `void` | `setLabel(java.lang.String label)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarGraph

          public BarGraph(java.lang.String label,
                          boolean checked,
                          java.awt.Color backColor)

      Parameters:
        `label` - The label of this component
        `checked` - Flag whether the corresponding checkbox should be checked
        `backColor` - The color of the background

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Returns:
        the label

    - #### setLabel

          public void setLabel(java.lang.String label)

      Parameters:
        `label` - the label to set

    - #### getChkBox

          public javax.swing.JCheckBox getChkBox()

      Returns:
        the chkBox

    - #### setChkBox

          public void setChkBox(javax.swing.JCheckBox chkBox)

      Parameters:
        `chkBox` - the chkBox to set

    - #### getBackColor

          public java.awt.Color getBackColor()

      Returns:
        the backColor

    - #### setBackColor

          public void setBackColor(java.awt.Color backColor)

      Parameters:
        `backColor` - the backColor to set

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.